%def_disable static

Name:		libsvg-cairo
Version:	0.1.6
Release:	alt1
License:	BSD-like
Group:		System/Libraries
URL:		http://www.xsvg.org/
Summary:	SVG rendering using Cairo

Source0:	%name-%version.tar.gz

# Automatically added by buildreq on Sat Feb 26 2005
BuildRequires: fontconfig-devel freetype2-devel gcc-c++ glib2 libjpeg-devel libpng-devel libstdc++-devel libxml2-devel pkgconfig xorg-x11-devel zlib-devel
BuildRequires: libcairo-devel >= 0.5.1
BuildRequires: libglitz-devel >= 0.4.3
BuildRequires: libpixman-devel >= 0.1.5
BuildRequires: libsvg-devel >= 0.1.4

%description
libxsvg provides the ability to render SVG content from files or
buffers. All rendering is performed using the Cairo rendering library
(formerly called Xr).

%package devel
Summary:	Header files for libxsvg library
Group:		Development/C++
Requires:	%name = %version-%release

%description devel
Header files for libxsvg library.

%package static
Summary:	Static libxsvg library
Group:		Development/C++
Requires:	%name-devel = %version-%release

%description static
Static libxsvg library.

%prep
%setup -q

%build
%configure %{subst_enable static}
%make_build

%install
%make DESTDIR=%buildroot  install

%post	-p /sbin/ldconfig

%postun	-p /sbin/ldconfig

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%_libdir/lib*.so.*

%files devel
%_libdir/lib*.so
%_includedir/*.h
%_pkgconfigdir/*.pc

%if_enabled static
%files static
%_libdir/lib*.a
%endif

%changelog
* Sat Jul 23 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.1.6-alt1
- 0.1.6

* Sat Feb 26 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.1.5-alt1
- initial release

